javax.swing.text

## Class ChangedCharSetException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - javax.swing.text.ChangedCharSetException

- All Implemented Interfaces:
    Serializable

      public class ChangedCharSetException
      extends IOException

  ChangedCharSetException as the name indicates is an exception thrown when the charset is changed.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChangedCharSetException(String charSetSpec, boolean charSetKey)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCharSetSpec()`
    `boolean` | `keyEqualsCharSet()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChangedCharSetException

          public ChangedCharSetException(String charSetSpec,
                                 boolean charSetKey)

  - ### Method Detail

    - #### getCharSetSpec

          public String getCharSetSpec()

    - #### keyEqualsCharSet

          public boolean keyEqualsCharSet()

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.